package com.lanyuanxiaoyao.service.yarn.response;

import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnRootQueue;

/**
 * 队列
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-23
 */
public final class ClusterInfoResponse {
    private Scheduler scheduler;

    public Scheduler getScheduler() {
        return scheduler;
    }

    @Override
    public String toString() {
        return "QueueListResponse{" +
                "scheduler=" + scheduler +
                '}';
    }

    public static final class Scheduler {
        private YarnRootQueue schedulerInfo;

        public YarnRootQueue getSchedulerInfo() {
            return schedulerInfo;
        }

        @Override
        public String toString() {
            return "Scheduler{" +
                    "schedulerInfo=" + schedulerInfo +
                    '}';
        }
    }
}
